id: incubatorsamltest
info:
  name: Incubator SAML test
  author: Pavel Brousek
  severity: low
  tags: headless,extractor
variables:
  filename: '{{replace(BaseURL,"/","_")}}'
  dir: "screenshots"
  idpentityid: 'https://passkey.grnet.gr/example-idp'
  spentityid: 'https://samltest.id/saml-test'
headless:
  - steps:
      - action: navigate
        args: 
          url: "{{BaseURL}}/Shibboleth.sso/Login?entityID={{url_encode(idpentityid)}}&target={{url_encode(spentityid)}}"
      - action: waitload
      - action: screenshot
        args: 
          fullpage: "true"
          mkdir: "true"
          to: "{{dir}}/{{filename}}"
    matchers:
      - part: resp
        type: word
        words:
          - "Welcome back!"
          - "REMOTE_USER = test"
